package Visual_DVM_2021.Passes.All;
import Common.Current_;
import _VisualDVM.Current;
import _VisualDVM.Global;
public class SaveBugReportExecutor extends UpdateBugReportField {
    @Override
    public String getIconPath() {
        return "/icons/Apply.png";
    }
    @Override
    public String getButtonText() {
        return "";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return (Global.mainModule.Check(Log, Current.Subscriber)) &&
                super.canStart("executor", Global.mainModule.getSubscriber().name,
                        "executor_address", Global.mainModule.getSubscriber().address
                );
    }
}
